package com.fp.armas.portal.model;

import java.io.Serializable;
import java.util.Date;
import java.util.Objects;

import javax.persistence.*;

/**
 * The primary key class for the TCUSTPERSONDETAIL database table.
 * 
 */
@Embeddable
public class TcustpersondetailPK implements Serializable {
	//default serial version id, required for serializable classes.
	private static final long serialVersionUID = 1L;

	@Column
	private Long personcode;

	@Temporal(TemporalType.TIMESTAMP)
	private java.util.Date dateto;

	public TcustpersondetailPK() {
	}
	
	public TcustpersondetailPK(Long personcode, Date dateto) {
		super();
		this.personcode = personcode;
		this.dateto = dateto;
	}



	public Long getPersoncode() {
		return this.personcode;
	}
	public void setPersoncode(Long personcode) {
		this.personcode = personcode;
	}
	public java.util.Date getDateto() {
		return this.dateto;
	}
	public void setDateto(java.util.Date dateto) {
		this.dateto = dateto;
	}

	public boolean equals(Object other) {
		if (this == other) {
			return true;
		}
		if (!(other instanceof TcustpersondetailPK)) {
			return false;
		}
		TcustpersondetailPK castOther = (TcustpersondetailPK)other;
		return 
			(Objects.equals(this.personcode, castOther.personcode))
			&& this.dateto.equals(castOther.dateto);
	}

        @Override
	public int hashCode() {
		final int prime = 31;
		int hash = 17;
		hash = hash * prime + ((int) (this.personcode ^ (this.personcode >>> 32)));
		hash = hash * prime + this.dateto.hashCode();
		
		return hash;
	}
}